查询VC订单列表
POST
/basicOpen/platformOrder/vcOrder/pageList接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/platformOrder/vcOrder/pageList | HTTPS | POST | 1 |
请求参数
purchase_order_typearray<any>必填offsetintegerlengthintegervc_store_idsarray<any>search_field_timestringstart_datestringend_datestringsearch_fieldstringsearch_valuearray<any>返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填totalinteger必填dataarray<object>必填隐藏子属性
gmt_createstring必填gmt_modifiedstring必填idstring必填purchase_order_numberstring必填customer_order_numberstring必填vc_store_idstring必填seller_namestring必填purchase_order_typeinteger必填purchase_order_statestring必填purchase_order_process_stateinteger必填purchase_order_datestring必填ack_statusinteger必填ack_status_descstring必填ack_update_timestring必填focus_party_idstring必填erp_warehouse_namestring必填erp_warehouse_idstring必填ship_window_timestring必填ship_window_startstring必填ship_windows_endstring必填total_pricestring必填currency_codestring必填currency_iconstring必填item_amountinteger必填local_po_numberstring必填ship_to_party_idstring必填remarkstring必填shipment_confirm_statusinteger必填shipment_label_statusinteger必填print_numinteger必填purchase_order_sku_listarray<object>必填隐藏子属性
idstring必填vc_store_idstring必填seller_namestring必填asinstring必填upcstring必填eanstring必填parent_asinstring必填item_namestring必填large_main_image_urlstring必填medium_main_image_urlstring必填small_main_image_urlstring必填has_principalinteger必填purchase_amountinteger必填sequence_numberstring必填vendor_product_idstring必填local_po_numberstring必填purchase_order_numberstring必填unit_pricestring必填net_pricestring必填net_price_currency_codestring必填net_price_currency_iconstring必填tax_amountstring必填tax_amount_currency_codestring必填tax_amount_currency_iconstring必填tax_ratestring必填tax_rate_percentstring必填deal_total_pricestring必填deal_unit_pricestring必填is_back_order_allowedstring必填shipped_amountinteger必填to_ship_amountinteger必填local_namestring必填local_skustring必填product_idstring必填available_amountinteger必填asin_urlstring必填pic_urlstring必填accepted_quantityinteger必填rejected_quantityinteger必填received_quantityinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "7d31f5ee09e54b8ea773e060c8a05498.1698311450835",
"response_time": "2023-10-26 17:10:53",
"data": [
{
"gmt_create": "2022-09-20 17:06:05",
"gmt_modified": "2023-09-29 21:20:24",
"id": "107",
"purchase_order_number": "XB95bX69r",
"customer_order_number": "305-6601334-7925136",
"vc_store_id": "134225003201380864",
"seller_name": "VC01-美国",
"purchase_order_type": 0,
"purchase_order_state": "New",
"purchase_order_process_state": 2,
"purchase_order_date": "2022-08-24 23:44:25",
"ack_status": 3,
"ack_status_desc": "确认失败",
"ack_update_time": "2022-12-13 16:32:24",
"focus_party_id": "ENVW",
"erp_warehouse_name": "仓库1",
"erp_warehouse_id": null,
"ship_window_time": "2022-09-16 18:40:00",
"ship_window_start": null,
"ship_windows_end": null,
"total_price": "95.99",
"currency_code": "USD",
"currency_icon": "$",
"item_amount": 1,
"local_po_number": "402229221848662528",
"ship_to_party_id": "TEB9",
"remark": null,
"shipment_confirm_status": 4,
"shipment_label_status": 4,
"print_num": 4,
"purchase_order_sku_list": [
{
"id": "5069",
"vc_store_id": "134225003201380864",
"asin": "B09WHZZ17G",
"upc": "",
"ean": null,
"parent_asin": "B0B1JC46X2",
"item_name": "Also Indoor Windows Blackout Blinds 8'(W) x8'(H),Mocha",
"large_main_image_url": "https://xxx.com/images/I/719qWwKNVyL.jpg",
"medium_main_image_url": "https://xxx.com/kIX+YzeJL.jpg",
"small_main_image_url": "https://xxx.com/75.jpg",
"has_principal": 0,
"source_data_update_time": null,
"purchase_amount": 1,
"sequence_number": "1",
"vendor_product_id": "ZXCWXZJLZLDSEXSGUV0",
"local_po_number": "402229221848662528",
"purchase_order_number": "XB95bX69r",
"unit_price": "79.99",
"net_price": "79.99",
"net_price_currency_code": "USD",
"net_price_currency_icon": "$",
"tax_amount": "7.20",
"tax_amount_currency_code": "USD",
"tax_amount_currency_icon": "$",
"tax_rate": "0.0750",
"tax_rate_percent": "7.50%",
"deal_total_price": "95.99",
"deal_unit_price": "95.99",
"is_back_order_allowed": null,
"shipped_amount": 10,
"to_ship_amount": -9,
"local_name": "适用于iPad的手写笔",
"local_sku": "SKU1991FC9",
"product_id": "1",
"available_amount": 886,
"asin_url": "https://example.com/dp/B09WxxxHZZ17G",
"seller_name": null,
"pic_url": "https://xxx.com/9664738f11.jpg",
"accepted_quantity": 10,
"rejected_quantity": 0,
"received_quantity": 0
}
]
}
],
"total": 1
}